$(document).ready(function(){
	//подрубаем и настраиваем слайдер
	$('.slider-box').slick({
		prevArrow: '.prev',
		nextArrow: '.next',
		infinite: false
	});
	
	
	//меняем фон страницы каждые 10 секунд
	$(function () {
    var el = $('.head');
    var backgrounds = [
      'url(./i/f1.jpg)', 
      'url(./i/f2.jpg)'];
    var current = 0;

		function nextBackground() {
			el.css(
				'background-image',
			backgrounds[current = ++current % backgrounds.length]);

			setTimeout(nextBackground, 10000);
		}
		setTimeout(nextBackground, 10000);
		el.css('background-image', backgrounds[0]);
	});
	
	$('.map-toggle, .addr').click(function(){
		$('.map-wrapper').addClass('visible');
	});
	
	$('.map-close').click(function(){
		$('.map-wrapper').removeClass('visible');
	});
	
	
	//Инициализируем карту
	ymaps.ready(init);

    var ulsk;
		
	function init(){  
		
		//Создаем метку
		ulsk = new ymaps.Map ("ya-map", {
			center: [54.304113, 48.367618],
			zoom: 16,
			controls: []
		});
		
		ulsu = new ymaps.Placemark([54.304113, 48.367618],{},{
			iconLayout: 'default#image',
			iconImageClipRect: [[0,0], [189, 142]],
			iconImageHref: './i/big-pin.png',
			iconImageSize: [189, 142],
			iconImageOffset: [-85, -138]
		});
		
		//Отрубаем зум и драг
		ulsk.behaviors.disable('scrollZoom');
		ulsk.behaviors.disable('drag');
		//Добавляем метку на карту
		ulsk.geoObjects.add(ulsu);
	}
	
	//Анимируем полявление блоков при скролле
	$('.animated').waypoint({
      handler: function(direction) {
		//вешаем класс тогглер анимаций блоку, когда доскролили до него
        $(this.element).addClass('in');
      },
        offset: '95%',
        triggerOnce: true
      })
});


